> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/global/snmps > Get configured global snmps ## OpenAPI ````json POST /v1/global/snmps { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/global/snmps": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1GlobalSnmpsPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1GlobalSnmpsPostResponse" } } } } }, "description": "Get configured global snmps" } } }, "components": { "schemas": { "v1GlobalSnmpsPostRequest": { "type": "object", "properties": { "ids": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 } } }, "additionalProperties": false }, "v1GlobalSnmpsPostResponse": { "type": "object", "properties": { "snmps": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2Snmp" } } }, "additionalProperties": false }, "manaV2Snmp": { "type": "object", "properties": { "communities": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SnmpCommunity" } }, "engineEnableAuthenTraps": { "type": "boolean", "example": true }, "engineEnableHighMemoryTraps": { "type": "boolean", "example": true }, "engineEnableHighCpuTraps": { "type": "boolean", "example": true }, "engineEnableLocalAcessV4": { "type": "boolean", "example": true }, "engineEnableLocalAcessV6": { "type": "boolean", "example": true }, "engineEnableUserHints": { "type": "boolean", "example": true }, "engineEnableUserValidation": { "type": "boolean", "example": true }, "engineEnabled": { "type": "boolean", "example": true }, "engineEndpoints": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SnmpEngineEndpoint" } }, "engineIdAdminOctets": { "type": "string", "example": "example string" }, "engineIdAdminText": { "type": "string", "example": "example string" }, "engineIdIpv4": { "type": "string", "example": "example string" }, "engineIdIpv6": { "type": "string", "example": "example string" }, "engineIdMac": { "type": "string", "example": "example string" }, "engineIdRaw": { "type": "string", "example": "example string" }, "errorMessage": { "type": "string", "example": "example string" }, "globalId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "name": { "type": "string", "example": "example string" }, "notifyFilterProfiles": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SnmpNotifyFilterProfile" } }, "snmpVersion": { "type": "string", "example": "ENUM_VALUE" }, "status": { "type": "string", "example": "ENUM_VALUE" }, "targets": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SnmpTarget" } }, "usmLocalUsers": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SnmpUsmLocalUser" } }, "usmRemoteUsers": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SnmpUsmRemoteUser" } }, "v2cEnabled": { "type": "boolean", "example": true }, "v3Enabled": { "type": "boolean", "example": true }, "vacmGroups": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SnmpVacmGroup" } } }, "additionalProperties": false }, "manaV2SnmpCommunity": { "type": "object", "properties": { "communityString": { "type": "string", "example": "example string" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2SnmpEngineEndpoint": { "type": "object", "properties": { "addresses": { "type": "array", "items": { "type": "string", "example": "example string" } }, "autoIpv4": { "type": "boolean", "example": true }, "autoIpv6": { "type": "boolean", "example": true }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "interfaceName": { "type": "string", "example": "example string" }, "lanSegment": { "type": "string", "example": "example string" }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpNotifyFilterProfile": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "includeExcludeList": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2NotifyFilterProfileInclude" } }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpTarget": { "type": "object", "properties": { "community": { "type": "string", "example": "example string" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "name": { "type": "string", "example": "example string" }, "notifyFilterProfile": { "type": "string", "example": "example string" }, "notifyType": { "type": "string", "example": "ENUM_VALUE" }, "sourceIp": { "type": "string", "example": "example string" }, "targetIp": { "type": "string", "example": "example string" }, "targetType": { "type": "string", "example": "ENUM_VALUE" }, "usmSecurityLevel": { "type": "string", "example": "ENUM_VALUE" }, "usmUserName": { "type": "string", "example": "example string" }, "vrfName": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpUsmLocalUser": { "type": "object", "properties": { "authPassphrase": { "type": "string", "example": "example string" }, "authProtocol": { "type": "string", "example": "ENUM_VALUE" }, "encryptionPassphrase": { "type": "string", "example": "example string" }, "encryptionProtocol": { "type": "string", "example": "ENUM_VALUE" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpUsmRemoteUser": { "type": "object", "properties": { "authLocKey": { "type": "string", "example": "example string" }, "authProtocol": { "type": "string", "example": "ENUM_VALUE" }, "encryptionLocKey": { "type": "string", "example": "example string" }, "encryptionProtocol": { "type": "string", "example": "ENUM_VALUE" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpVacmGroup": { "type": "object", "properties": { "accesses": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SnmpVacmGroupAccess" } }, "groupMembers": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SnmpVacmGroupMember" } }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "name": { "type": "string", "example": "example string" }, "views": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SnmpVacmView" } } }, "additionalProperties": false }, "manaV2NotifyFilterProfileInclude": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "include": { "type": "boolean", "example": true }, "subtree": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpVacmGroupAccess": { "type": "object", "properties": { "context": { "type": "string", "example": "example string" }, "groupContextMatch": { "type": "string", "example": "ENUM_VALUE" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "name": { "type": "string", "example": "example string" }, "readView": { "type": "string", "example": "example string" }, "securityLevel": { "type": "string", "example": "ENUM_VALUE" }, "writeView": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpVacmGroupMember": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "securityModel": { "type": "string", "example": "ENUM_VALUE" }, "securityName": { "type": "string", "example": "example string" }, "snmpCommunity": { "type": "string", "example": "example string" }, "type": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2SnmpVacmView": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "includeExclude": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SnmpVacmViewInclude" } }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpVacmViewInclude": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "include": { "type": "boolean", "example": true }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````